#pragma semicolon 1

#include <sourcemod>
#include "edlib.sp"

#define PLUGIN_VERSION		"1.0"
#define PLUGIN_NAME		"[CURE] Death Notifications"

char victimName[256];
char attackerName[256];
char weapon[64];

public Plugin myinfo =
{
	name		= PLUGIN_NAME,
	author		= "Grey83",
	description	= "Shows a message when the player dies or gets damaged by another player",
	version		= PLUGIN_VERSION,
	url		= "https://forums.alliedmods.net/showthread.php?t=282396"
};

public OnPluginStart()
{
	HookEvent("player_death", Event_PD);
	LoadTranslations("curedeathnotice.phrases");
}

public Event_PD(Event event, const char[] name, bool dontBroadcast)
{
	int victim = GetClientOfUserId(event.GetInt("userid"));
	int attacker = GetClientOfUserId(event.GetInt("attacker"));
	event.GetString("weapon", weapon, sizeof(weapon));

	// 
	// Using %N causes issues with bots where the messages end up like:
	// 
	// V.I.K.I.
	// killed by CHAPPiE
	// 
	// - EDSHOT
	// 

	if (0 < victim <= MaxClients)
	{
		GetClientName(victim, victimName, sizeof(victimName));
		GetClientName(attacker, attackerName, sizeof(attackerName));
		TrimString(victimName);
		TrimString(attackerName);

		if (!attacker)
		{
			if (StrContains(weapon, "zombine") == 0)
			{
				PrintToChatAllTranslated1C("PlayerKilledByZombie", "", "", victimName);
				PrintToServer("%s killed by zombie", victimName);
			}
			else
			{
				PrintToChatAllTranslated1C("PlayerCrushedToDeath", "", "", victimName);
				PrintToServer("%s crushed to death", victimName);
			}
		}
		else if (0 < attacker <= MaxClients)
		{
			if (victim != attacker)
			{
				PrintToChatAllTranslated2C("PlayerKilledByPlayer", "", "", victimName, attackerName);
				PrintToServer("%s killed by %s", victimName, attackerName);
			}
			else
			{
				PrintToChatAllTranslated1C("PlayerSuicide", "", "", victimName);
				PrintToServer("%s killed himself", victimName);
			}
		}
	}
}
